# Some Qt modules also load plugin target in extra config, so check whether the target already exists
if(NOT TARGET ${QT_VARIANT_PREFIX}Qt5::QWbmpPlugin)
    add_library(${QT_VARIANT_PREFIX}Qt5::QWbmpPlugin MODULE IMPORTED)

set(_Qt5QWbmpPlugin_MODULE_DEPENDENCIES "Gui;Core")

foreach(_module_dep ${_Qt5QWbmpPlugin_MODULE_DEPENDENCIES})
    if(NOT ${QT_VARIANT_PREFIX}Qt5${_module_dep}_FOUND)
        find_package(${QT_VARIANT_PREFIX}Qt5${_module_dep}
             ${_Qt5Gui_FIND_VERSION_EXACT}
            ${_Qt5Gui_DEPENDENCIES_FIND_QUIET}
            ${_Qt5Gui_FIND_DEPENDENCIES_REQUIRED}
            PATHS "${CMAKE_CURRENT_LIST_DIR}/.." NO_DEFAULT_PATH
        )
    endif()
endforeach()

    _populate_Gui_plugin_properties_static(${QT_VARIANT_PREFIX}Qt5::Gui ${QT_VARIANT_PREFIX}Qt5::QWbmpPlugin QWbmpPlugin RELEASE "imageformats/libqwbmp.a")


list(APPEND ${QT_VARIANT_PREFIX}Qt5Gui_PLUGINS ${QT_VARIANT_PREFIX}Qt5::QWbmpPlugin)
set_property(TARGET ${QT_VARIANT_PREFIX}Qt5::Gui APPEND PROPERTY QT_ALL_PLUGINS_imageformats ${QT_VARIANT_PREFIX}Qt5::QWbmpPlugin)
set_property(TARGET ${QT_VARIANT_PREFIX}Qt5::QWbmpPlugin PROPERTY QT_PLUGIN_TYPE "imageformats")
set_property(TARGET ${QT_VARIANT_PREFIX}Qt5::QWbmpPlugin PROPERTY QT_PLUGIN_EXTENDS "")
set_property(TARGET ${QT_VARIANT_PREFIX}Qt5::QWbmpPlugin PROPERTY QT_PLUGIN_CLASS_NAME "QWbmpPlugin")
endif()
